Audittrailevent 1 endpoints

GET /resources/auditTrailEvents

Returns audit trail events.

operationId: AuditTrailEvent_getEvents

Parameters

Name In Required Type Description
subjectName query optional string

The name of the subject for which events are received. If the name is not specified, the events are received for all subjects on the key.

activity query optional string

If specified, only the events with this activity will be in the response.

from query optional string

Date/time events are received from (yyyy-MM-dd HH:mm:ss, e.g. 2022-10-01 12:05:00). If not specified, the events are received from the day before.

to query optional string

To the date/time events are received (yyyy-MM-dd HH:mm:ss, e.g. 2022-10-01 12:15:00). If not specified, the events are received up to the present moment.

limit query optional string

The maximum number of events per request. Cannot be more than 20000. By default is 10.

offset query optional string

Allows to skip the offset events before beginning to return the events. By default is 0.

Responses

200

OK

GET /resources/auditTrailEvents

Check 6 endpoints

GET /resources/checks/latest?type=COMPANY

Returns company check results.

operationId: Check_additionalCompanyData

Parameters

Name In Required Type Description
applicantId query required string

A unique applicant identifier.

Responses

200

OK

GET /resources/checks/latest?type=COMPANY
GET /resources/checks/latest?type=EMAIL_CONFIRMATION

Returns email confirmation check results.

operationId: Check_emailConfirmationResults

Parameters

Name In Required Type Description
applicantId query required string

A unique applicant identifier.

Responses

200

OK

GET /resources/checks/latest?type=EMAIL_CONFIRMATION
GET /resources/checks/latest?type=IP_CHECK

Returns IP check results.

operationId: Check_ipCheckResults

Parameters

Name In Required Type Description
applicantId query required string

A unique applicant identifier.

Responses

200

OK

GET /resources/checks/latest?type=IP_CHECK
GET /resources/checks/latest?type=PHONE_CONFIRMATION

Returns phone confirmation check results.

operationId: Check_phoneConfirmationResults

Parameters

Name In Required Type Description
applicantId query required string

A unique applicant identifier.

Responses

200

OK

GET /resources/checks/latest?type=PHONE_CONFIRMATION
GET /resources/checks/latest?type=POA

Returns PoA data.

operationId: Check_additionalPoaData

Parameters

Name In Required Type Description
applicantId query required string

A unique applicant identifier.

Responses

200

OK

GET /resources/checks/latest?type=POA
GET /resources/checks/latest?type=TIN

Returns TIN (SSN) check results.

operationId: Check_tinSsnCheckResults

Parameters

Name In Required Type Description
applicantId query required string

A unique applicant identification number.

Responses

200

OK

GET /resources/checks/latest?type=TIN

Health 1 endpoints

GET /resources/status/api

Returns the operational status of the API.

operationId: Health_statusApiGet

Responses

200

OK

GET /resources/status/api

Image 2 endpoints

DELETE /resources/inspections/{inspectionId}/resources/{imageId}

Marks uploaded images as deleted.

operationId: Image_markAsInactive

Parameters

Name In Required Type Description
revert query optional boolean

Set true to revert inactivity of the image.

inspectionId path required string

An inspection identifier. You can get this number by using this API method.

imageId path required string

An image identifier. You can get this number by using this API method.

Responses

200

OK

DELETE /resources/inspections/{inspectionId}/resources/{imageId}
GET /resources/inspections/{inspectionId}/resources/{imageId}

Returns document images.

operationId: Image_getDocumentImages

Parameters

Name In Required Type Description
inspectionId path required string

An inspection identifier. This identifier is returned as a root field upon running this API method.

imageId path required string

An image identifier. You can get this number by using this API method.

Responses

200

OK

GET /resources/inspections/{inspectionId}/resources/{imageId}

Inspection 1 endpoints

GET /resources/inspections/{inspectionId}?fields=videoIdentData

Returns the video call results.

operationId: Inspection_getVideoIdentData

Parameters

Name In Required Type Description
inspectionId path required string

A unique inspection identifier.

Responses

200

OK

GET /resources/inspections/{inspectionId}?fields=videoIdentData

Note 4 endpoints

DELETE /resources/kyt/txns/notes

Removes notes from transactions.

operationId: Note_removeFromTransaction

Request Body

application/json
schema NoteRemoveFromTransactionRequest
Property Type Required
id string required
txnId string required
multipart/form-data
schema NoteRemoveFromTransactionRequest1
Property Type Required
id string required
txnId string required

Responses

200

OK

DELETE /resources/kyt/txns/notes
PATCH /resources/kyt/txns/notes

Updates a note.

operationId: Note_updateTransactionNotes

Request Body

application/json
schema NoteUpdateTransactionNotesRequest
Property Type Required
id string required
note string required
tags array optional
txnId string required
multipart/form-data
schema NoteUpdateTransactionNotesRequest1
Property Type Required
id string required
note string required
tags array optional
txnId string required

Responses

200

OK

PATCH /resources/kyt/txns/notes
POST /resources/kyt/txns/notes

Adds notes to transactions.

operationId: Note_addToTransaction

Request Body

application/json
schema NoteAddToTransactionRequest
Property Type Required
note string required
tags array optional
txnId string required
multipart/form-data
schema NoteAddToTransactionRequest1
Property Type Required
note string required
tags array optional
txnId string required

Responses

200

OK

POST /resources/kyt/txns/notes
GET /resources/kyt/txns/{id}/notes

Returns transaction notes.

operationId: Note_getTransactionNotes

Parameters

Name In Required Type Description
id path required string

A unique transaction identifier.

Responses

200

OK

GET /resources/kyt/txns/{id}/notes

Tag 1 endpoints

POST /resources/kyt/txns/{id}/tags

Adds tags to transactions.

operationId: Tag_addTransactionTags

Parameters

Name In Required Type Description
id path required string

A unique transaction identifier.

Request Body

application/json
schema TagAddTransactionTagsRequest
Property Type Required
RAW_BODY array optional
multipart/form-data
schema TagAddTransactionTagsRequest1
Property Type Required
RAW_BODY array optional

Responses

200

OK

POST /resources/kyt/txns/{id}/tags

Token 2 endpoints

POST /resources/accessTokens

Creates an applicant action token.

operationId: Token_createActionToken

Parameters

Name In Required Type Description
ttlInSecs query optional string

A lifespan of a token in seconds. Default value is 10 mins.

userId query required string

An external user ID which will be bound to the token.

externalActionId query required string

An external action ID which will be bound to the token.

levelName query required string

The name of the verification level.

Responses

200

OK

POST /resources/accessTokens
GET /resources/standalone/crypto/availableCurrencies

Returns available tokens.

operationId: Token_getAvailableCurrencies

Responses

200

OK

GET /resources/standalone/crypto/availableCurrencies

Transaction 11 endpoints

POST /resources/kyt/misc/txns/import

Imports a list of transactions.

operationId: Transaction_bulkImport

Parameters

Name In Required Type Description
ignoreErrors query optional boolean
  • true — all valid transactions will be created and returned, errors will be ignored during the processing and listed in the response.
  • false (default) — valid transactions will be created up to the first detected error. The response will only contain the error on which the processing was interrupted.
scoreSavedTxns query optional boolean

Allows you to control whether scoring should be run on imported transactions or not:<ul><li>true (default) — start scoring after import.</li><li>false — do not start scoring after import.</li></ul>

Request Body

application/json
schema TransactionBulkImportRequest
Property Type Required
data object required
info object optional
type string optional
amount number required
direction string required
cryptoParams object optional
attemptId string required
cryptoChain string optional
outputIndex integer optional
currencyCode string required
currencyType string optional
paymentTxnId string optional
paymentDetails string optional
amountInDefaultCurrency number optional
type string optional
props string optional
txnId string required
txnDate string optional
applicant object optional
type string required
device object optional
coords object optional
ipInfo object optional
address object optional
platform string optional
sessionId string optional
userAgent string optional
acceptLang string optional
fingerprint string optional
sessionAgeMs integer optional
address object optional
town string optional
state string optional
street string optional
country string optional
postCode string optional
subStreet string optional
flatNumber string optional
buildingName string optional
buildingNumber string optional
fullName string required
paymentMethod object optional
type string optional
2faUsed boolean optional
3dsUsed boolean optional
accountId string optional
issuingCountry string optional
externalUserId string required
institutionInfo object optional
code string optional
name string optional
address object optional
internalId string optional
sourceKey string optional
counterparty object optional
type string required
device object optional
coords object optional
ipInfo object optional
address object optional
platform string optional
sessionId string optional
userAgent string optional
acceptLang string optional
fingerprint string optional
sessionAgeMs integer optional
address object optional
town string optional
state string optional
street string optional
country string optional
postCode string optional
subStreet string optional
flatNumber string optional
buildingName string optional
buildingNumber string optional
fullName string required
paymentMethod object optional
type string optional
2faUsed boolean optional
3dsUsed boolean optional
accountId string optional
issuingCountry string optional
externalUserId string required
institutionInfo object optional
code string optional
name string optional
address object optional
internalId string optional
applicantId string required
multipart/form-data
schema TransactionBulkImportRequest1
Property Type Required
data object required
info object optional
type string optional
amount number required
direction string required
cryptoParams object optional
attemptId string required
cryptoChain string optional
outputIndex integer optional
currencyCode string required
currencyType string optional
paymentTxnId string optional
paymentDetails string optional
amountInDefaultCurrency number optional
type string optional
props string optional
txnId string required
txnDate string optional
applicant object optional
type string required
device object optional
coords object optional
ipInfo object optional
address object optional
platform string optional
sessionId string optional
userAgent string optional
acceptLang string optional
fingerprint string optional
sessionAgeMs integer optional
address object optional
town string optional
state string optional
street string optional
country string optional
postCode string optional
subStreet string optional
flatNumber string optional
buildingName string optional
buildingNumber string optional
fullName string required
paymentMethod object optional
type string optional
2faUsed boolean optional
3dsUsed boolean optional
accountId string optional
issuingCountry string optional
externalUserId string required
institutionInfo object optional
code string optional
name string optional
address object optional
internalId string optional
sourceKey string optional
counterparty object optional
type string required
device object optional
coords object optional
ipInfo object optional
address object optional
platform string optional
sessionId string optional
userAgent string optional
acceptLang string optional
fingerprint string optional
sessionAgeMs integer optional
address object optional
town string optional
state string optional
street string optional
country string optional
postCode string optional
subStreet string optional
flatNumber string optional
buildingName string optional
buildingNumber string optional
fullName string required
paymentMethod object optional
type string optional
2faUsed boolean optional
3dsUsed boolean optional
accountId string optional
issuingCountry string optional
externalUserId string required
institutionInfo object optional
code string optional
name string optional
address object optional
internalId string optional
applicantId string required

Responses

200

OK

POST /resources/kyt/misc/txns/import
GET /resources/kyt/txns/-;data.txnId={externalTxnId}/one

Returns transaction information based on the provided externalTxnId.

operationId: Transaction_getOneData

Parameters

Name In Required Type Description
externalTxnId path required string

A unique transaction identifier on your side.

Responses

200

OK

GET /resources/kyt/txns/-;data.txnId={externalTxnId}/one
POST /resources/kyt/txns/{id}/-/score

Re-scores transactions.

operationId: Transaction_reScore

Parameters

Name In Required Type Description
id path required string

A unique transaction identification number.

Responses

200

OK

POST /resources/kyt/txns/{id}/-/score
GET /resources/kyt/txns/{id}/one

Returns transaction information.

operationId: Transaction_informationOne

Parameters

Name In Required Type Description
id path required string

A unique transaction identifier.

Responses

200

OK

GET /resources/kyt/txns/{id}/one
PATCH /resources/kyt/txns/{id}/props

Updates transaction properties.

operationId: Transaction_updateProperties

Parameters

Name In Required Type Description
unsetKeys query optional string

A list of property names separated by commas that should be set to null.

id path required string

A unique transaction identification number.

Request Body

application/json
schema TransactionUpdatePropertiesRequest
Property Type Required
customProperty string required
multipart/form-data
schema TransactionUpdatePropertiesRequest1
Property Type Required
customProperty string required

Responses

200

OK

PATCH /resources/kyt/txns/{id}/props
POST /resources/kyt/txns/{id}/review/status/completed

Approves or rejects transactions.

operationId: Transaction_approveReject

Parameters

Name In Required Type Description
id path required string

A unique transaction identification number.

Request Body

application/json
schema TransactionApproveRejectRequest
Property Type Required
reviewAnswer string optional
multipart/form-data
schema TransactionApproveRejectRequest1
Property Type Required
reviewAnswer string optional

Responses

200

OK

POST /resources/kyt/txns/{id}/review/status/completed
DELETE /resources/kyt/txns/{id}/tags

Removes tags from transactions.

operationId: Transaction_removeTags

Parameters

Name In Required Type Description
id path required string

A unique transaction identifier.

Request Body

application/json
schema TransactionRemoveTagsRequest
Property Type Required
RAW_BODY array optional
multipart/form-data
schema TransactionRemoveTagsRequest1
Property Type Required
RAW_BODY array optional

Responses

200

OK

DELETE /resources/kyt/txns/{id}/tags
GET /resources/kyt/txns/{id}/tags

Returns a list of transaction tags.

operationId: Transaction_listTags

Parameters

Name In Required Type Description
id path required string

A unique transaction identifier.

Responses

200

OK

GET /resources/kyt/txns/{id}/tags
PATCH /resources/kyt/txns/{txnId}/data/info

Updates information from the blockchain.

operationId: Transaction_updateBlockchainInfo

Parameters

Name In Required Type Description
txnId path required string

A unique transaction identifier.

Request Body

application/json
schema TransactionUpdateBlockchainInfoRequest
Property Type Required
fingerprint string optional
multipart/form-data
schema TransactionUpdateBlockchainInfoRequest1
Property Type Required
fingerprint string optional

Responses

200

200

PATCH /resources/kyt/txns/{txnId}/data/info
POST /resources/kyt/txns/{txnId}/ownership/confirmed

Confirms that the specified transaction belongs to your exchange (VASP).

operationId: Transaction_confirmOwnership

Parameters

Name In Required Type Description
txnId path required string

A unique transaction identifier.

Responses

200

OK

POST /resources/kyt/txns/{txnId}/ownership/confirmed
POST /resources/kyt/txns/{txnId}/ownership/unconfirmed

Removes the ownership from a previously confirmed transaction.

operationId: Transaction_removeOwnership

Parameters

Name In Required Type Description
txnId path required string

A unique transaction identifier.

Responses

200

OK

POST /resources/kyt/txns/{txnId}/ownership/unconfirmed

Vasp 1 endpoints

GET /resources/vasps/-

Returns a list of VASPs from the Sumsub VASP directory.

operationId: Vasp_getAvailableVasps

Parameters

Name In Required Type Description
limit query optional integer

Maximum number of the VASPs to be returned. The maximum recommended value you can set is 100.

offset query optional integer

Offset of the VASPs to be returned.

Responses

200

200

400

400

GET /resources/vasps/-

Verification 1 endpoints

POST /resources/applicants/{applicantId}/ekyc/submit (COPY)

Submits the applicant data for Non-Doc Verification.

operationId: Verification_submitApplicantData

Parameters

Name In Required Type Description
applicantId path required string

A unique applicant identifier.

Request Body

application/json
schema VerificationSubmitApplicantDataRequest
Property Type Required
info object optional
tin string optional
country string optional
firstName string optional
idDoc object optional
dob string optional
gender string optional
number string optional
country string optional
lastName string optional
firstName string optional
idDocType string optional
multipart/form-data
schema VerificationSubmitApplicantDataRequest1
Property Type Required
info object optional
tin string optional
country string optional
firstName string optional
idDoc object optional
dob string optional
gender string optional
number string optional
country string optional
lastName string optional
firstName string optional
idDocType string optional

Responses

200

OK

POST /resources/applicants/{applicantId}/ekyc/submit (COPY)